SET CURRENT SCHEMA CONFIG;

CREATE TABLE MODULES(
	MODULE_ID INTEGER NOT NULL,
	MODULE VARCHAR(255),
	SUB_MODULE_ID INTEGER NOT NULL,
	SUB_MODULE VARCHAR(255),
	MODIFY VARCHAR(255),
	REC_DATETIME TIMESTAMP DEFAULT CURRENT TIMESTAMP
)IN VNF_32K INDEX IN VNF_IDX;



CREATE TABLE STATEMENT_LIST(
	STATEMENT_NUMBER INTEGER NOT NULL,
	MODULE_ID INTEGER,
	SUB_MODULE_ID INTEGER,
	AREA VARCHAR(255),
	TYPE VARCHAR(255),
	ACTION VARCHAR(255),
	UOW_ID INTEGER,
	DATA_MOVEMENT INTEGER,
	TABLE_REFACTORING INTEGER,
	DESCRIPTION VARCHAR(1000),
	AFFECTED_TABLE VARCHAR(255),
  AFFECTED_SCHEMA VARCHAR(255),
	OBJECT_TYPE VARCHAR(255),
	OBJECT_NAME VARCHAR(255),
	PRE_EXISTS INTEGER,
	RECOVERABLE INTEGER,
	HAS_DEPENDENCIES INTEGER,
	EXECUTION_STATUS INTEGER,
	EXECUTE INTEGER,
	RELEASE VARCHAR(255),
	SPECIAL_RELEASE VARCHAR(255),
	TEXT VARCHAR(8192),
	RET_CODE VARCHAR(255),
	REC_DATETIME TIMESTAMP DEFAULT CURRENT TIMESTAMP
)IN VNF_32K INDEX IN VNF_IDX;


CREATE TABLE STATEMENT_DEPENDENCIES(
	STATEMENT_NUMBER INTEGER,
	PREDECESSOR_NUMBER INTEGER
)IN VNF_32K INDEX IN VNF_IDX;



CREATE TABLE REFACTOR_TABLE(
STATEMENT_NUMBER INTEGER,
STEP_NUMBER INTEGER,
ACTION VARCHAR(255),
OBJECT_TYPE VARCHAR(255),
OBJECT_NAME VARCHAR(255),
PRE_EXISTS VARCHAR(255),
TEXT VARCHAR(8192),
REC_DATETIME TIMESTAMP DEFAULT CURRENT TIMESTAMP
)IN VNF_32K INDEX IN VNF_IDX;
