--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

SET CURRENT SCHEMA $STAR_SCHEMA;

CREATE TABLE CAL_MESSAGES (
	CAL_ERROR_NO INTEGER,
	CAL_MESSAGE_CODE CHAR(12),
	CAL_ERR_MESSAGE VARCHAR (255)
)IN VSTR_32K INDEX IN VSTR_IDX;

INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4586,'CRREW4586E','CRREW4586E エラー: カレンダー・タイプが無効です。 1 (グレゴリオ暦) または 2 (ISO) を指定してください');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4587,'CRREW4587E','CRREW4587E エラー: START_YEAR がヌルか、または END_YEAR より大きくなっています');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4588,'CRREW4588E','CRREW4588E エラー: END_YEAR がヌルか、または START_YEAR より小さくなっています');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4589,'CRREW4589E','CRREW4589E エラー: ウェアハウス・スキーマが指定されていません。  有効なスキーマを指定してください。');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4590,'CRREW4590E','CRREW4590E エラー: 日付ディメンションが破壊されています。最小日付が 1 月 1 日に等しくありません');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4591,'CRREW4591E','CRREW4591E エラー: 日付ディメンションが破壊されています。最大日付が 12 月 31 日に等しくありません');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4592,'CRREW4592E','CRREW4592E エラー: 日付ディメンションでサポートされていないカレンダーです');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4593,'CRREW4593E','CRREW4593E エラー: 日付ディメンションの引数 END_YEAR が MIN(YEAR) IN D_DATE より小さくなっています');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4594,'CRREW4594E','CRREW4594E エラー: 日付ディメンションの引数 START_YEAR が MAX(YEAR) IN D_DATE より大きくなっています');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4505,'CRREW4505E','CRREW4505E エラー: NF_SCHEMA スキーマをヌルにすることはできません');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4506,'CRREW4506E','CRREW4506E エラー: STAR_SCHEMA スキーマをヌルにすることはできません');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4507,'CRREW4507E','CRREW4507E エラー: REP_USER ユーザー名をヌルにすることはできません');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4598,'CRREW4598E','CRREW4598E エラー: Insight バージョンを判別できません');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4599,'CRREW4599E','CRREW4599E エラー: ターゲット Insight バージョンを判別できません。');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4600,'CRREW4600E','CRREW4600E エラー: 現行バージョンがターゲット・バージョンより新しくなっています。');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4601,'CRREW4601E','CRREW4601E エラー: ステートメントの実行エラーです。');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4602,'CRREW4602E','CRREW4602E エラー: 失敗した従属ステートメントがあります');

COMMIT;
